# $Revision: 1.67 $, $Date: 2006/10/01 17:26:39 $
# TODO:
# - allow to show while configure where are: "w","users","sh","ipchains","df","fping","ifconfig",
#   "install","perl","chmod","iptables","uptime","htpasswd" Or guess it...
# - make .htaccess files in /etc/lstat and symlink them into proper places...
# - /usr/share/lstat/statimg should be in /var?
# - /en/ docs in .pl?
%include	/usr/lib/rpm/macros.perl
Summary:	LinuxStat is for generating and displaying different statistics
Summary(pl):	LinuxStat suy do generowania i prezentacji rnych statystyk
Name:		lstat
Version:	2.3.2
Release:	14
Epoch:		1
License:	GPL
Group:		Applications/Networking
Source0:	http://dl.sourceforge.net/lstat/%{name}-%{version}.tar.gz
# Source0-md5:	3298fa1dcdde38017b5a89f736f439f3
Source1:	%{name}.init
Source2:	%{name}.conf
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-PLD.patch
Patch2:		%{name}-perlhandler.patch
Patch3:		%{name}-permission.patch
URL:		http://lstat.sourceforge.net/
BuildRequires:	perl-CGI
BuildRequires:	perl-base
BuildRequires:	perl-rrdtool
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
Requires(post,preun):	/sbin/chkconfig
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_initdir		/etc/rc.d/init.d
%define		_pkglibdir		/var/lib/%{name}
%define		_wwwuser		http
%define		_wwwgroup		http
%define		_wwwrootdir		/usr/share/%{name}
%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_httpdconf	%{_webapps}/%{_webapp}

%description
LinuxStat is for generating and displaying different statistics of
Linux by WWW browser.

%description -l pl
Projekt LinuxStat suy do generowania i prezentacji rnych statystyk
dotyczcych komputera z systemem Linux. Co pewien czas (np. 5 min)
zostaje zapamitana warto wybranych parametrw systemu. Dziki
zastosowaniu biblioteki RRDtool stworzonej przez Tobiego Oetikera
(twrca projektu MRTG), zbiory danych nie zwikszaj swojej objtoci,
jednoczenie umoliwiajc ledzenie wartoci nawet kilka lat wstecz. W
kadej chwili mona obejrze wykresy pokazujce zmiany interesujcego
nas parametru. W tym celu wystarczy uy dowolnej przegldarki WWW.
Oryginalnie projekt zosta stworzony do analizy przepustowoci cz
internetowych, w celu planowania rozbudowy infrastruktury
informatycznej. Doskonale nadaje si do prezentacji statystyk
dotyczcych pakietw przesyanych przez routery zbudowane w oparciu o
system Linux. Przy okazji zostay dodane wykresy obrazujce inne
parametry systemu.

%package cgi
Summary:	CGI webinterface for lstat
Summary(pl):	Interfejs WWW (CGI) do lstata
Group:		Applications/WWW
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	apache(mod_auth)
Requires:	apache(mod_dir)
Requires:	apache(mod_perl)
#Suggests:	apache(mod_perl)
#Suggests:	apache(mod_cgi)
Requires:	webapps
Requires:	webserver = apache

%description cgi
CGI webinterface for lstat.

%description cgi -l pl
Interfejs WWW (CGI) do lstata.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
# specify random mod_perl, we use own apache config anyway.
%{__perl} ./configure \
	--mod_perl2 \
	--with-httpdconf=%{_httpdconf}/ \
	--with-prefix=%{_prefix} \
	--with-bin=%{_bindir} \
	--with-lib=%{perl_vendorlib} \
	--with-etc=%{_sysconfdir}/lstat \
	--with-www=%{_wwwrootdir} \
	--with-rrd=%{_pkglibdir}/rrd \
	--with-pages=%{_pkglibdir}/pages \
	--with-objects=%{_pkglibdir}/objects \
	--with-templates=%{_pkglibdir}/templates \
	--with-wwwuser=%{_wwwuser} \
	--with-wwwgroup=%{_wwwgroup} \
	--noupdate_apache_conf

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_initdir},%{_wwwrootdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_initdir}/lstatd
rm -rf $RPM_BUILD_ROOT%{_wwwrootdir}/doc
ln -sf %{_docdir}/%{name}-%{version} $RPM_BUILD_ROOT%{_wwwrootdir}/doc

install %{SOURCE2} $RPM_BUILD_ROOT%{_httpdconf}/httpd.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_httpdconf}/apache.conf

rm -f $RPM_BUILD_ROOT%{_httpdconf}/lstat.conf

%clean
rm -rf $RPM_BUILD_ROOT

%pre
test -h %{_wwwrootdir}/doc || rm -rf %{_wwwrootdir}/doc

%post
/sbin/chkconfig --add lstatd
if [ -f /var/lock/subsys/lstatd ]; then
	/etc/rc.d/init.d/lstatd restart >&2
else
	echo "Run \"/etc/rc.d/init.d/lstatd start\" to start counting statistics."
fi

# this will fail if /proc not mounted
%{_bindir}/Mkgraph.pl || :

%preun
if [ "$1" = 0 ]; then
	if [ -f /var/lock/subsys/lstatd ]; then
		/etc/rc.d/init.d/lstatd stop >&2
	fi
	/sbin/chkconfig --del lstatd
fi

%triggerin cgi -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun cgi -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin cgi -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun cgi -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerpostun -- %{name} <= 1:2.3.3-5
# FIXME: the version in trigger never released?
if [ -s /etc/apache/conf.d/lstat.conf ]; then
	sed -i -e "s#/home/services/apache/lstat/#/usr/share/lstat/#g" /etc/apache/conf.d/lstat.conf
fi
if [ -s /etc/lstat/config ]; then
	sed -i -e "s#/home/services/apache/lstat/#/usr/share/lstat/#g" /etc/lstat/config
fi
if [ -s /home/services/apache/lstat/.htaccess ]; then
	mv /home/services/apache/lstat/.htaccess /usr/share/lstat/
fi

if [ -s /etc/httpd/httpd.conf/lstat.conf ]; then
	sed -i -e "s#/home/services/httpd/lstat/#/usr/share/lstat/#g" /etc/httpd/httpd.conf/lstat.conf
fi
if [ -s /etc/lstat/config ]; then
	sed -i -e "s#/home/services/httpd/lstat/#/usr/share/lstat/#g" /etc/lstat/config
fi
if [ -s /home/services/httpd/lstat/.htaccess ]; then
	mv /home/services/httpd/lstat/.htaccess /usr/share/lstat/
fi

%triggerpostun -- %{name} < 1:2.3.2-10.3
# we put trigger on main package, because we can't trigger in new package
# this will create .rpmnew files when one installs -cgi package. but that's more than okay
if [ -f /etc/httpd/httpd.conf/lstat.conf.rpmsave ]; then
	install -d %{_httpdconf}
	mv -f /etc/httpd/httpd.conf/lstat.conf.rpmsave %{_httpdconf}/httpd.conf
fi

%service httpd reload

%files
%defattr(644,root,root,755)
%doc src/doc/*
%attr(754,root,root) %{_initdir}/lstatd
%dir %{_sysconfdir}/lstat
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lstat/config

%attr(755,root,root) %{_bindir}/lstatd
%attr(755,root,root) %{_bindir}/show_filters
%attr(755,root,root) %{_bindir}/security_lstat
%attr(755,root,root) %{_bindir}/Mkgraph.pl
%{perl_vendorlib}/*
%dir %{_pkglibdir}/rrd
%attr(700,http,http) %dir %{_pkglibdir}/objects
%attr(700,http,http) %dir %{_pkglibdir}/pages
%attr(700,http,http) %{_pkglibdir}/pages/*
%dir %{_pkglibdir}/templates
%{_pkglibdir}/templates/*

%files cgi
%defattr(644,root,root,755)
%dir %attr(750,root,http) %{_httpdconf}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_httpdconf}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_httpdconf}/httpd.conf

%dir %{_wwwrootdir}
%{_wwwrootdir}/doc
%dir %{_wwwrootdir}/icons
%dir %{_wwwrootdir}/skins
%dir %{_wwwrootdir}/edit
%dir %{_pkglibdir}
%attr(770,root,http) %dir %{_wwwrootdir}/statimg
%attr(755,root,root) %{_wwwrootdir}/edit/edit.cgi
%attr(755,root,root) %{_wwwrootdir}/lstat.cgi
%{_wwwrootdir}/skins/*
%{_wwwrootdir}/icons/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lstat.spec,v $
Revision 1.67  2006/10/01 17:26:39  glen
- rel 14

Revision 1.66  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.65  2006/02/03 16:44:41  baggins
- release 13

Revision 1.64  2006/02/03 16:40:54  glen
- apache-base in webapp trigger

Revision 1.63  2006/01/15 11:29:21  dzeus
- added Options FollowSymLinks for /usr/share/lstat/doc, rel. 12, STBR

Revision 1.62  2006/01/04 14:12:47  glen
- use %service in trigger to respect skip auto restarts of services
- rel 11

Revision 1.61  2006/01/04 14:11:33  glen
- Suggests instead of requires for the future

Revision 1.60  2005/12/26 00:25:47  qboosh
- pl for -cgi

Revision 1.59  2005/12/25 23:27:53  glen
- use webapps framework (apache1 bcond killed)
- created -cgi subpackage
- please test

Revision 1.58  2005/12/13 11:54:17  glen
- adalterized (sorted %verify flags)

Revision 1.57  2005/10/17 06:05:33  arekm
- correct BR for rrdtool stuff (Jan Palus)

Revision 1.56  2005/06/03 09:12:46  gotar
- allow upgrade

Revision 1.55  2005/06/03 09:09:38  gotar
- make %{_wwwrootdir}/lstat/doc symlink to %{_docdir}/%{name}-%{version}

Revision 1.54  2005/05/09 08:09:11  glen
- todo

Revision 1.53  2005/05/09 08:04:39  glen
- added permission patch

Revision 1.52  2005/04/27 18:40:49  adamg
- add bcond for building lstat with support for apache1 (patch from
  Marcin Sztolcman msztolcman (at) post.pl)

Revision 1.51  2005/02/25 13:24:52  blues
- TODO added

Revision 1.50  2005/01/08 19:46:00  havner
- epoch to triggers

Revision 1.49  2004/12/28 13:49:53  domelu
- cosmetics

Revision 1.48  2004/12/19 13:49:39  ciesiel
- fixed timeout error; rel.8

Revision 1.47  2004/11/20 12:39:54  havner
- s#lstat/#lstat# in config file

Revision 1.46  2004/11/20 11:51:09  havner
- moved to /usr/share
- triggers for config files

Revision 1.45  2004/11/17 12:35:09  blues
- apache-mod_auth _is_ required for building lstat.

Revision 1.44  2004/11/15 02:29:07  havner
- one more s/BR/R
- removed SOURCE2

Revision 1.43  2004/11/15 02:19:20  havner
- it was supposed to be R, not BR

Revision 1.42  2004/11/14 15:42:55  adamg
- added perlhandler.patch (fixes apache2 config file)
- release 4

Revision 1.41  2004/11/12 20:20:48  havner
- R: apache-mod-perl
- rel 3

Revision 1.40  2004/11/07 17:35:33  blues
- release 2

Revision 1.39  2004/11/05 11:53:50  gotar
- release 1 (security!)

Revision 1.38  2004/11/05 11:51:34  gotar
- updated to 2.3.2 (Mateusz Murawski)

Revision 1.37  2004/09/29 08:24:27  blues
- more BR, more TODO

Revision 1.36  2004/09/27 21:01:44  dzeus
- updated to version 2.3 (Mateusz Murawski)

Revision 1.35  2004/05/30 11:44:15  averne
- added lstat-mem.patch

Revision 1.34  2004/04/30 03:44:08  domelu
- R: apache-mod_expires

Revision 1.33  2003/11/26 21:33:42  ciesiel
- fixed %dir

Revision 1.32  2003/11/26 17:25:25  ciesiel
- adapted to new dir apache config
- still works :) some errors after open http://domain/lstat/

Revision 1.31  2003/11/26 16:28:52  ciesiel
- and yet another req. perl-base

Revision 1.30  2003/11/26 15:15:17  ciesiel
- changed PR perl->perl-base

Revision 1.29  2003/10/26 18:38:24  hunter
- s/apache/webserver/

Revision 1.28  2003/08/22 15:44:04  ankry
- cosmetics: spaces -> tabs

Revision 1.27  2003/06/03 19:59:46  qboosh
- fixed Source0 URL

Revision 1.26  2003/05/26 00:34:51  djrzulf
- updated Patch1 (handling of IPTABLES/IPCHAINS),
- Release 4,

Revision 1.25  2003/05/26 00:14:39  djrzulf
- updated Source0 and added Source0-md5

Revision 1.24  2003/05/25 05:50:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/03/02 21:07:31  radek
- updated for perl-5.8; release 3

Revision 1.22  2003/02/25 12:55:33  qboosh
- working Source URL

Revision 1.21  2003/02/11 13:26:46  mick3y
- Requires: apache-mod_auth
- added patch
  TODO:
- security_lstat - not working correctly

Revision 1.20  2002/12/29 21:18:44  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.19  2002/06/08 13:48:51  kloczek
- changed permission on init script to 754.

Revision 1.18  2002/06/04 14:00:29  baseciq
- now works and builds corectly
- fixed --with-lib path
- Mkgraph.pl runs after each install (it's safe)
- no longer conflicts with perl-CGI-modules
- fixed build needs access to /etc/http/httpd.conf (missing --with-www{user,group})
- TODO: cosmetics, remove requires: perl-CGI-modules
- added %doc
- STBR

Revision 1.17  2002/05/21 23:36:37  baseciq
- added info messages to %post (run ... to init/start/etc...)
- STBR -> *test*

Revision 1.16  2002/05/21 23:19:05  baseciq
- changed buildarch to noarch - lstat doesn't contains any binary files
- needs to run /usr/bin/Mkgraph.pl after instalation
  (it can't be done due build process or instalation - it looks that Mkgraph needs lstatd
   running)
- needs cosmetics

Revision 1.15  2002/05/21 11:26:45  baseciq
- now builds, but still doesn't work
- rewritten makefile patch against lstat-2.2

Revision 1.14  2002/05/06 15:54:32  pioklo
- up to 2.2,STBR

Revision 1.13  2002/02/22 23:29:14  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/01/18 02:13:45  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/12/19 14:29:35  grzegorz
- fixed %post, in spec's we use % not $ :)
- first we need mkgraph before we use it in %post so i
  add instaling it and added to %files
- i think that now everythnig is ok so STBR

Revision 1.10  2001/12/19 10:56:39  adasi
- finnaly fixed mkgraph issue; it should be installing properly now. Need to be checked

Revision 1.9  2001/12/18 22:37:14  misiek
- BR: perl-CGI

Revision 1.8  2001/12/17 16:55:52  adasi
- moving /proc/net/dev checking to installation scripts

Revision 1.7  2001/12/12 17:01:04  blues
- 2.0 (this is not beta now.... bugfix)
- cosmetic
- STBR

Revision 1.6  2001/12/11 11:09:00  qboosh
- en summary/description; added some missing dirs; release 4

Revision 1.5  2001/12/01 22:57:03  grzegorz
- chmod 640 /etc/httpd/lstat.conf
- rel 3, STBR

Revision 1.4  2001/11/12 16:33:07  grzegorz
- modified %post to not restart httpd if Include is in httpd.conf already

Revision 1.3  2001/11/12 16:29:01  grzegorz
- added %verify(not size mtime md5) to %{_pkglibdir}/pages/*
- release 2, STBR

Revision 1.2  2001/11/12 15:54:42  grzegorz
- added %{_sysconfdir}/httpd/lstat.conf to %files

Revision 1.1  2001/11/12 08:54:44  grzegorz
- initial PLD spec
